Bug 269563 - Add '1-click' tracker adding from presets
Summary: Add '1-click' tracker adding from presets
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-27 20:49 UTC by markuss
Modified: 2012-04-21 11:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2011-03-27 20:49:44 UTC
Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

A nice feature would be if users could add additional trackers from a preset with just one click.
Often smaller projects host their own tracker which can easily go down from time to time.
If KTorrent had the feature to define a set of trackers that can be added with a single click, that problem would easily be avoided.

By default IMO the two free and public trackers
udp://tracker.publicbt.com:80/announce
udp://tracker.openbittorrent.com:80/announce
should be in the list.

Reproducible: Always
Comment 1 Joris Guisson 2012-04-21 11:36:26 UTC
Git commit bcf4b5abdd4893bd2f09645323dcdd7e19db5408 by Joris Guisson.
Committed on 21/04/2012 at 13:36.
Pushed by guisson into branch 'master'.

Add new add trackers dialog with url completion

M  +1    -0    ChangeLog
M  +1    -0    plugins/infowidget/CMakeLists.txt
A  +70   -0    plugins/infowidget/addtrackersdialog.cpp     [License: GPL (v2+)]
C  +21   -36   plugins/infowidget/addtrackersdialog.h [from: plugins/infowidget/trackerview.h - 054% similarity]
M  +19   -16   plugins/infowidget/trackerview.cpp
M  +1    -0    plugins/infowidget/trackerview.h

http://commits.kde.org/ktorrent/bcf4b5abdd4893bd2f09645323dcdd7e19db5408